<?php
//автор - figura
//сайт - http://f-pt.ru
include("../sistem/cfg.dat");
include("../sistem/global.dat");
include("../sistem/functions_uzer.dat");
include("../temes/$teme/verh.dat");

if($status=="uzer" || $status=="moder" || $status=="admin")
{
   
   if(empty($act)){$act="my";}
   if($act=="my")
   {
      echo'<div class="razd"><B>Мои данные</B></div>';
      
      echo'<div class="ramk">';
      
      if(file_exists("../avators/$login.gif"))
      {
         echo'<img src="../avators/avator.php?f='.$login.'.gif" alt="">';
      }
      
      elseif(file_exists("../avators/$login.GIF"))
      {
         echo'<img src="../avators/avator.php?f='.$login.'.GIF" alt="">';
      }
      
      elseif(file_exists("../avators/$login.jpeg"))
      {
         echo'<img src="../avators/avator.php?f='.$login.'.jpeg" alt="">';
      }
      
      elseif(file_exists("../avators/$login.JPEG"))
      {
         echo'<img src="../avators/avator.php?f='.$login.'.JPEG" alt="">';
      }
      
      elseif(file_exists("../avators/$login.jpg"))
      {
         echo'<img src="../avators/avator.php?f='.$login.'.jpg" alt="">';
      }
      
      elseif(file_exists("../avators/$login.JPG"))
      {
         echo'<img src="../avators/avator.php?f='.$login.'.JPG" alt="">';
      }
      
      elseif(file_exists("../avators/$login.png"))
      {
         echo'<img src="../avators/avator.php?f='.$login.'.png" alt="">';
      }
      
      elseif(file_exists("../avators/$login.PNG"))
      {
         echo'<img src="../avators/avator.php?f='.$login.'.PNG" alt="">';
      }else
      {
         echo'<img src="../img/no-avator.png" alt="">';
      }
      
      echo'<br>';
      
      echo'Мой Логин - <B>'.$login.'</B><br>';
      $statu = $status;
      $statu = str_replace("admin","Администратор",$statu);
      $statu = str_replace("moder","Модератор",$statu);
      $statu = str_replace("uzer","Пользователь",$statu);
      $statu = str_replace("ban","Заблокирован",$statu);
      
      
      echo'Статус на сайте - <B>'.$statu.'</B><br>';
      echo'Оставленных сообщений - <B>'.$postov.'</B><br>';
      
      $reput = $golos_za - $golos_protiv;
      if($reput >= 0)
      {
         $reput = '<font COLOR="#008000"><big><b>'.$reput.'</b></big></font>';
      }else
      {
         $reput = '<font COLOR="#FF0000"><big><b>'.$reput.'</b></big></font>';
      }
      echo'Репутация - '.$reput.' (<font COLOR="#008000"><B>'.$golos_za.'</B></font>/<font COLOR="#FF0000"><B>'.$golos_protiv.'</B></font>)<BR>';
      
      echo'Дата регистрации - <B>'.$time_reg.'</B><BR>';
      if($real_name == ''){ $real_name = 'Не заполнено'; }
      if($real_name2 == ''){ $real_name2 = 'Не заполнено'; }
      echo'Имя - <B>'.$real_name.'</B><BR>';
      echo'Фамилия - <B>'.$real_name2.'</B><BR>';
      if($gorod == ''){ $gorod = 'Не заполнено'; }
      echo'Город проживания - <B>'.$gorod.'</B><BR>';
      
      if($pol == 'oof'){ $pol = 'Не заполнено'; }
      if($pol == 'm'){ $pol = 'Мужской'; }
      if($pol == 'j'){ $pol = 'Женский'; }
      echo'Пол - <B>'.$pol.'</B><BR>';
      
      if($vozrost == ''){ $vozrost = 'Не заполнено'; }
      echo'Возраст - <B>'.$vozrost.'</B><BR>';
      
      if($a_baut == ''){ $a_baut = 'Не заполнено'; }
      echo'О себе:<B>'.$a_baut.'</B><br>';
      
      echo'Используемая тема - <B>'.$my_tema.'</B><br>';
      echo'Монеты сайта - <B>'.$rezerv20.'</B><br>';
      
      echo'</div>';
      
      
      echo'<div class="link">'.$img_act.'<a href="privat.php?act=index&amp;'.SID.'">Почта сайта</a></div>';
      echo'<div class="link">'.$img_act.'<a href="info.php?act=index&amp;'.SID.'">Информация</a></div>';
      echo'<div class="link">'.$img_act.'<a href="../game/my_menu.php?'.SID.'">Игровая зона</a></div>';
      echo'<div class="link">'.$img_act.'<a href="my_menu.php?act=up_load&amp;'.SID.'">Загрузить своё фото</a></div>';
      echo'<div class="link">'.$img_act.'<a href="my_menu.php?act=izmenit_teme&amp;'.SID.'">Изменить тему сайта</a></div>';
      echo'<div class="link">'.$img_act.'<a href="my_menu.php?act=izmenit&amp;'.SID.'">Изменить личные данные</a></div>';
      echo'<div class="link">'.$img_act.'<a href="my_menu.php?act=izmenit_pass&amp;'.SID.'">Изменить пароль</a></div>';
      
      
      
      
      if($status=="admin" )
      {
         echo'<div class="link">'.$img_act.'<a href="http://'.htmlspecialchars($_SERVER['HTTP_HOST']).'/admin/index.php?'.SID.'">Панель администратора</a></div>';
         
      }
      if($status=="moder")
      {
         echo'<div class="link">'.$img_act.'<a href="http://'.htmlspecialchars($_SERVER['HTTP_HOST']).'/pages/ban.php?act=index&amp;'.SID.'">Панель управления IP</a></div>';
      }
      
      
      echo'<div class="link">'.$img_act.'<a href="../pages/out.php?'.SID.'">Выход</a></div>';
   }
   
   if($act=="izmenit")
   {
      echo'<div class="razd"><B>Мои изминения</B></div>';
      echo'<form name="forma" action="my_menu.php?'.SID.'" method="post">';
      echo'<INPUT TYPE="hidden" NAME="act" VALUE="izmenit2">';
      echo'Имя<br>';
      echo'<input type="text" name="new_real_name" value="'.$real_name.'" size="15" maxlength="50"><br>';
      echo'Фамилия<br>';
      echo'<input type="text" name="new_real_name2" value="'.$real_name2.'" size="15" maxlength="50"><br>';
      echo'Город проживания<br>';
      echo'<input type="text" name="new_gorod" value="'.$gorod.'" size="15" maxlength="50"><br>';
      echo'Возраст<br>';
      echo'<input type="text" name="new_vozrost" value="'.$vozrost.'" size="2" maxlength="2"><br>';
      echo'Пол<br>';
      echo'<SELECT NAME="new_pol">';
      if($pol == "m")
      {
         echo'<OPTION VALUE="m" selected>Мужской';
         echo'<OPTION VALUE="j">Женский';
      }elseif($pol == "j")
      {
         echo'<OPTION VALUE="j" selected>Женский';
         echo'<OPTION VALUE="m">Мужской';
      }else
      {
         echo'<OPTION VALUE="oof" selected>';
         echo'<OPTION VALUE="m">Мужской';
         echo'<OPTION VALUE="j">Женский';
      }
      echo'</SELECT><br>';
      echo'О себе<br>';
      
      $a_baut = str_replace("<br>","\r\n",$a_baut);//обработали переносы строк
      echo'<TEXTAREA NAME="new_a_baut" ROWS=5 COLS=30>'.$a_baut.'</TEXTAREA><br>';
      echo'<input type="submit" name="" value="сохранить"><br>';
      echo'</form>';
      echo'<a href="my_menu.php?act=my&amp;'.SID.'">Назад</a><br>';
   }
   
   if($act=="izmenit2")
   {
      echo'<div class="razd"><B>Мои изминения</B></div>';
      
      if(isset($_POST['new_real_name'])){$new_real_name = $_POST['new_real_name'];}
      if(isset($_POST['new_real_name2'])){$new_real_name2 = $_POST['new_real_name2'];}
      if(isset($_POST['new_gorod'])){$new_gorod = $_POST['new_gorod'];}
      if(isset($_POST['new_vozrost'])){$new_vozrost = $_POST['new_vozrost'];}
      if(isset($_POST['new_pol'])){$new_pol = $_POST['new_pol'];}
      if(isset($_POST['new_a_baut'])){$new_a_baut = $_POST['new_a_baut'];}
      
      $new_real_name=htmlspecialchars($new_real_name);
      $new_real_name2=htmlspecialchars($new_real_name2);
      $new_gorod=htmlspecialchars($new_gorod);
      $new_vozrost=htmlspecialchars($new_vozrost);
      $new_pol=htmlspecialchars($new_pol);
      $new_a_baut=htmlspecialchars($new_a_baut);
      
      if (eregi("[^0-9]" , $new_vozrost )){ $new_vozrost = ''; }
      if($new_pol == "j" || $new_pol == "m"){  }else{ $new_pol = 'oof'; }
      
      $new_a_baut = str_replace("\r","",$new_a_baut);//обработали переносы строк
      $new_a_baut = str_replace("\n","<br>",$new_a_baut);//обработали переносы строк
      
         $kod=''.$pass_real.'<||>'.$status.'<||>'.$postov.'<||>'.$golos_za.'<||>'.$golos_protiv.'<||>'.$prichina_bana.'<||>'.$time_reg.'<||>'.$den_plusa.'<||>'.$new_real_name.'<||>'.$new_real_name2.'<||>'.$new_gorod.'<||>'.$new_a_baut.'<||>'.$new_vozrost.'<||>'.$new_pol.'<||>'.$ip.'<||>'.$posled_time_pribivanij.'<||>'.$posled_time.'<||>'.$my_tema.'<||>'.$rezerv1.'<||>'.$rezerv2.'<||>'.$rezerv3.'<||>'.$rezerv4.'<||>'.$rezerv5.'<||>'.$rezerv6.'<||>'.$rezerv7.'<||>'.$rezerv8.'<||>'.$rezerv9.'<||>'.$rezerv10.'<||>'.$rezerv11.'<||>'.$rezerv12.'<||>'.$rezerv13.'<||>'.$rezerv14.'<||>'.$rezerv15.'<||>'.$rezerv16.'<||>'.$rezerv17.'<||>'.$rezerv18.'<||>'.$rezerv19.'<||>'.$rezerv20.'<||>';
         $file_login_data = fopen("$koren_dir/data/uzer/$login.dat", "w+");
         flock ($file_login_data,LOCK_EX);
         fputs($file_login_data,$kod);
         flock ($file_login_data,LOCK_UN);
         fclose($file_login_data);
         @chmod("$koren_dir/data/uzer/$login.dat", 0666);
      
      echo'Сохранено<br>';
      echo'<a href="my_menu.php?act=my&amp;'.SID.'">Далее</a><br>';
   }
   
   
   if($act=="izmenit_pass")
   {
      echo'<div class="razd"><B>Меняем пароль</B></div>';
      echo'Внимание, будьте внимательны при смене пароля, запомните или лучше запишите ваш новый пароль, востановить пароль невозможно!!!';
      echo'<form name="forma" action="my_menu.php?'.SID.'" method="post">';
      echo'<INPUT TYPE="hidden" NAME="act" VALUE="izmenit_pass2">';
      echo'Новый пароль<br>';
      echo'<input type="text" name="new_pass" value="" size="15" maxlength="50"><br>';
      echo'Старый пароль<br>';
      echo'<input type="text" name="new_pass2" value="" size="15" maxlength="50"><br>';
      
      echo'<input type="submit" name="" value="Изменить"><br>';
      echo'</form>';
      
      echo'<a href="my_menu.php?act=my&amp;'.SID.'">Назад</a><br>';
   }
   if($act=="izmenit_pass2")
   {
      echo'<div class="razd"><B>Меняем пароль</B></div>';
      if(isset($_POST['new_pass'])){$new_pass = $_POST['new_pass'];}
      if(isset($_POST['new_pass2'])){$new_pass2 = $_POST['new_pass2'];}
      
      if(($new_pass == "") || ($new_pass2 == "") || ($pass != md5($new_pass2)))
      {
         echo'Вы непрвильно заполнили поля, будьте внимательны!<br>';
      }else
      {
         $new_pass = str_replace("\r","",$new_pass);
         $new_pass = str_replace("\n","",$new_pass);
         $new_pass = htmlspecialchars($new_pass);
         
         $pas = md5( $new_pass );//шифруем пароль в md5 для отправки в сессии
         $new_pass =md5( md5( $new_pass ));//шифруем пароль в двойной md5
         
         $kod=''.$new_pass.'<||>'.$status.'<||>'.$postov.'<||>'.$golos_za.'<||>'.$golos_protiv.'<||>'.$prichina_bana.'<||>'.$time_reg.'<||>'.$den_plusa.'<||>'.$real_name.'<||>'.$real_name2.'<||>'.$gorod.'<||>'.$a_baut.'<||>'.$vozrost.'<||>'.$pol.'<||>'.$ip.'<||>'.$posled_time_pribivanij.'<||>'.$posled_time.'<||>'.$my_tema.'<||>'.$rezerv1.'<||>'.$rezerv2.'<||>'.$rezerv3.'<||>'.$rezerv4.'<||>'.$rezerv5.'<||>'.$rezerv6.'<||>'.$rezerv7.'<||>'.$rezerv8.'<||>'.$rezerv9.'<||>'.$rezerv10.'<||>'.$rezerv11.'<||>'.$rezerv12.'<||>'.$rezerv13.'<||>'.$rezerv14.'<||>'.$rezerv15.'<||>'.$rezerv16.'<||>'.$rezerv17.'<||>'.$rezerv18.'<||>'.$rezerv19.'<||>'.$rezerv20.'<||>';
         $file_login_data = fopen("$koren_dir/data/uzer/$login.dat", "w+");
         flock ($file_login_data,LOCK_EX);
         fputs($file_login_data,$kod);
         flock ($file_login_data,LOCK_UN);
         fclose($file_login_data);
         @chmod("$koren_dir/data/uzer/$login.dat", 0666);
         
         $_SESSION['pass']=$pas;//если всё в порядке регистрируем сессию
         echo'Пароль изменён!<br>';
      }
      echo'<a href="my_menu.php?act=my&amp;'.SID.'">Далее</a><br>';
   }
   
   if($act=="up_load")
   {
      echo'<div class="razd"><B>Загрузка фото!</B></div>';
      echo'Вы можете загрузить сюда собственную фотографию расширения JPG, GIF или PNG, размером до 25 килобайт.<br>';
      
      echo'<form enctype="multipart/form-data" action="my_menu.php?'.SID.'" method="post">';
      echo'<INPUT TYPE="hidden" NAME="act" VALUE="up_load2">';
      echo'Выбирите фотографию<br>';
      echo'<INPUT TYPE="file" NAME="userfile"><br>';
      echo'<input type="submit" value="Загрузить Фото"></form>';
      
      
      
      //echo'<a href="my_menu.php?act=my&amp;'.SID.'">Назад</a><br>';
   }
   
   if($act == "up_load2")
   {
      echo'<div class="razd"><B>Загрузка фото!</B></div>';
      if(isset($_FILES['userfile']))
      {
         if($_FILES['userfile']['error'] == "0")
         {
            $max_size = "100000";
            if($_FILES['userfile']['size'] <= $max_size)
            {
               if($_FILES['userfile']['type'] == "image/gif" ||
                     $_FILES['userfile']['type'] == "image/png" ||
                     $_FILES['userfile']['type'] == "image/jpeg" ||
                     $_FILES['userfile']['type'] == "image/jpg" )
                     {
                        
                        
                        
                        
                        $format_file = explode(".", $_FILES['userfile']['name']);
                        $poooo = count($format_file) -1;
                        $format_file = $format_file[$poooo];
                        echo 'Формат фото - '.$format_file.'<br>';
                        if($format_file == "gif"||
                        $format_file == "GIF"||
                        $format_file == "png"||
                        $format_file == "PNG"||
                        $format_file == "jpeg"||
                        $format_file == "JPEG"||
                        $format_file == "jpg"||
                        $format_file == "JPG")
                        {
                           //после всех этих ебучих проверок начинаем сохранение фотки
                           
                           //удаляем старое фото
                           if(file_exists("../avators/$login.gif"))
                           {
                              unlink("../avators/$login.gif");
                           }
                           
                           if(file_exists("../avators/$login.GIF"))
                           {
                              unlink("../avators/$login.GIF");
                           }
                           
                           if(file_exists("../avators/$login.jpeg"))
                           {
                              unlink("../avators/$login.jpeg");
                           }
                           
                           if(file_exists("../avators/$login.JPEG"))
                           {
                              unlink("../avators/$login.JPEG");
                           }
                           
                           if(file_exists("../avators/$login.jpg"))
                           {
                              unlink("../avators/$login.jpg");
                           }
                           
                           if(file_exists("../avators/$login.JPG"))
                           {
                              unlink("../avators/$login.JPG");
                           }
                           
                           if(file_exists("../avators/$login.png"))
                           {
                              unlink("../avators/$login.png");
                           }
                           
                           if(file_exists("../avators/$login.PNG"))
                           {
                              unlink("../avators/$login.PNG");
                           }
                           
                           //сохраняем новое фото
                           move_uploaded_file($_FILES['userfile']['tmp_name'], "../avators/$login.$format_file");
                           chmod("foto/$nomer_foto.$format_file", 0666);
                           
                           
                           echo'Фото успешно загружено<br>';
                           
                        }else
                        {
                           echo'Ошибка. Фаил имеет не правельный формат. Допустимые формат "gif, png, jpeg, jpg"<br>';
                        }
                     }else
                     {
                        echo'Ошибка. Фаил не загружен т.к. он имеет подозрительный тип<br>';
                     }
                  }else
                  {
                     $rrrr = $max_size / 1000;
                     echo'Ошибка. Фаил превысил допустимый размер '.$rrrr.'кб!<br>';
                  }
               }else{ echo'Ошибка. Фаил не загружен!<br>'; }
            
         }else
         {
            echo'Ошибка. Фаил не получен!<br>';
         }
      
      
      
      
      echo'<a href="my_menu.php?act=my&amp;'.SID.'">Далее</a><br>';
   }
   
   
   
   
   
   
   
   
   
   
   
   
   
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
   if($act=="anket")
   {
      echo'<div class="razd"><B>Данные пользователя</B></div>';
      if(isset($_GET['if_uzer'])){$if_uzer = $_GET['if_uzer'];}
      $if_uzer=htmlspecialchars($if_uzer);
      if(file_exists("../data/uzer/$if_uzer.dat"))
      {
         $file_uzer=file("../data/uzer/$if_uzer.dat");
         $file_uzer=explode("<||>",$file_uzer[0]);
         
         
         echo'<div class="ramk">';
         
         if(file_exists("../avators/$if_uzer.gif"))
         {
            echo'<img src="../avators/avator.php?f='.$if_uzer.'.gif" alt="">';
         }
         
         elseif(file_exists("../avators/$if_uzer.GIF"))
         {
            echo'<img src="../avators/avator.php?f='.$if_uzer.'.GIF" alt="">';
         }
         
         elseif(file_exists("../avators/$if_uzer.jpeg"))
         {
            echo'<img src="../avators/avator.php?f='.$if_uzer.'.jpeg" alt="">';
         }
         
         elseif(file_exists("../avators/$if_uzer.JPEG"))
         {
            echo'<img src="../avators/avator.php?f='.$if_uzer.'.JPEG" alt="">';
         }
         
         elseif(file_exists("../avators/$if_uzer.jpg"))
         {
            echo'<img src="../avators/avator.php?f='.$if_uzer.'.jpg" alt="">';
         }
         
         elseif(file_exists("../avators/$if_uzer.JPG"))
         {
            echo'<img src="../avators/avator.php?f='.$if_uzer.'.JPG" alt="">';
         }
         
         elseif(file_exists("../avators/$if_uzer.png"))
         {
            echo'<img src="../avators/avator.php?f='.$if_uzer.'.png" alt="">';
         }
         
         elseif(file_exists("../avators/$if_uzer.PNG"))
         {
            echo'<img src="../avators/avator.php?f='.$if_uzer.'.PNG" alt="">';
         }else
         {
            echo'<img src="../img/no-avator.png" alt="">';
         }
         
         echo'<br>';
         
         echo'Логин - <B>'.$if_uzer.'</B> '.online($if_uzer).'<br>';
         
         $uzer_statu = str_replace("admin","Администратор",$file_uzer[1]);
         $uzer_statu = str_replace("moder","Модератор",$uzer_statu);
         $uzer_statu = str_replace("uzer","Пользователь",$uzer_statu);
         $uzer_statu = str_replace("ban","Заблокирован",$uzer_statu);
         $uzer_statu = str_replace("no_aktiv","Не активирован",$uzer_statu);
         
         echo'Статус на сайте - <B>'.$uzer_statu.'</B><BR>';
         echo'Оставленных сообщений - <B>'.$file_uzer[2].'</B><br>';
         $reput = $file_uzer[3] - $file_uzer[4];
         if($reput >= 0)
         {
            $reput = '<font COLOR="#008000"><big><b>'.$reput.'</b></big></font>';
         }else
         {
            $reput = '<font COLOR="#FF0000"><big><b>'.$reput.'</b></big></font>';
         }
         
         echo'Репутация - '.$reput.' (<font COLOR="#008000"><B>'.$file_uzer[3].'</B></font>/<font COLOR="#FF0000"><B>'.$file_uzer[4].'</B></font>) <a href="my_menu.php?act=golos_za&amp;if_uzer='.$if_uzer.'&amp;'.SID.'"><font COLOR="#008000"><b>+</b></font></a>/<a href="my_menu.php?act=golos_protiv&amp;if_uzer='.$if_uzer.'&amp;'.SID.'"><font COLOR="#FF0000"><b>-</b></font></a><BR>';
         echo'Дата регистрации - <B>'.$file_uzer[6].'</B><BR>';
         if($file_uzer[8] == ''){ $file_uzer[8] = 'Не заполнено'; }
         if($file_uzer[9] == ''){ $file_uzer[9] = 'Не заполнено'; }
         echo'Имя - <B>'.$file_uzer[8].'</B><BR>';
         echo'Фамилия - <B>'.$file_uzer[9].'</B><BR>';
         if($file_uzer[10] == ''){ $file_uzer[10] = 'Не заполнено'; }
         echo'Город проживания - <B>'.$file_uzer[10].'</B><BR>';
         
         if($file_uzer[13] == 'oof'){ $file_uzer[13] = 'Не заполнено'; }
         if($file_uzer[13] == 'm'){ $file_uzer[13] = 'Мужской'; }
         if($file_uzer[13] == 'j'){ $file_uzer[13] = 'Женский'; }
         echo'Пол - <B>'.$file_uzer[13].'</B><BR>';
         
         if($file_uzer[12] == ''){ $file_uzer[12] = 'Не заполнено'; }
         echo'Возраст - <B>'.$file_uzer[12].'</B><BR>';
         
         if($file_uzer[11] == ''){ $file_uzer[11] = 'Не заполнено'; }
         echo'О себе:<B>'.$file_uzer[11].'</B><br>';
         echo'Используемая тема - <B>'.$file_uzer[17].'</B><br>';
         
         echo'Монет сайта - <B>'.$file_uzer[37].'</B><br>';
         
         echo'</div>';
         
         echo'<div class="link"><a href="../pages/privat.php?act=add&amp;if_uzer='.$if_uzer.'&amp;'.SID.'">Написать личное сообщение</a></div>';
         echo'<div class="link"><a href="../pages/privat.php?act=in_kontakt&amp;if_uzer='.$if_uzer.'&amp;'.SID.'">Добавить в контакты</a></div>';
         echo'<div class="link"><a href="../pages/privat.php?act=in_ignor&amp;if_uzer='.$if_uzer.'&amp;'.SID.'">Добавить в игнор</a></div>';
         echo'<div class="link"><a href="../game/my_menu.php?act=perevod&amp;if_uzer='.$if_uzer.'&amp;'.SID.'">Перечислить монет</a></div>';
         
         if($status=="moder" || $status=="admin")
         {
            echo'<hr size="2" width="100%">';
            if($file_uzer[1] == "ban" )
            {
               echo'<div class="link"><a href="my_menu.php?act=raz_ban&amp;if_uzer='.$if_uzer.'&amp;'.SID.'">Разблокировать пользователя</a></div>';
            }else
            {
               echo'<form name="forma" action="my_menu.php?'.SID.'" method="post">';
               echo'<INPUT TYPE="hidden" NAME="act" VALUE="ban">';
               echo'<INPUT TYPE="hidden" NAME="if_uzer" VALUE="'.$if_uzer.'">';
               echo'Причина заблокировки<br>';
               echo'<input type="text" name="txtsob" value="" size="15" maxlength="1050"><br>';
               echo'Заблокировать на: ';
               echo'<SELECT NAME="time_ban">';
               echo'<OPTION VALUE="3600" selected>1 час';
               echo'<OPTION VALUE="21600">6 часов';
               echo'<OPTION VALUE="43200">12 часов';
               echo'<OPTION VALUE="86400">1 день';
               echo'<OPTION VALUE="259200">3 дня';
               echo'<OPTION VALUE="604800">1 неделя';
               echo'<OPTION VALUE="2592000">1 месяц';
               echo'<OPTION VALUE="990000000">Навсегда';
               echo'</SELECT><br>';
               echo'<input type="submit" name="" value="Заблокировать"><br>';
               echo'</form>';
            }
            echo'<div class="link"><a href="ban.php?act=index&amp;ip_uzer='.$file_uzer[14].'&amp;'.SID.'">Заблокировать IP адрес пользователя</a></div>';
         }
         
         if($status=="admin")
         {
            echo'<hr size="2" width="100%">';
            echo'<div class="link"><a href="my_menu.php?act=izm_cfg_uzer&amp;if_uzer='.$if_uzer.'&amp;'.SID.'">Подробные настройки пользователя</a></div>';
            echo'<div class="link"><a href="my_menu.php?act=dell&amp;if_uzer='.$if_uzer.'&amp;'.SID.'">Удалить пользователя</a></div>';
         }
         
      }else{ echo'Пользователя не существует.<br>'; }
      
   }
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
   
   if($act=="golos_za")
   {
      echo'<div class="razd"><B>Голос за</B></div>';
      if(isset($_GET['if_uzer'])){$if_uzer = $_GET['if_uzer'];}
      $if_uzer=htmlspecialchars($if_uzer);
      if(file_exists("../data/uzer/$if_uzer.dat"))
      {
         if($login != $if_uzer)
         {
            $time_p = htmlspecialchars(date("d"));//день плюса
            if($den_plusa == $time_p)
            {
               echo'Сегодня вы не можете голосовать<br>';
            }else{
               $den_plusa = $time_p;
               $kod=''.$pass_real.'<||>'.$status.'<||>'.$postov.'<||>'.$golos_za.'<||>'.$golos_protiv.'<||>'.$prichina_bana.'<||>'.$time_reg.'<||>'.$den_plusa.'<||>'.$real_name.'<||>'.$real_name2.'<||>'.$gorod.'<||>'.$a_baut.'<||>'.$vozrost.'<||>'.$pol.'<||>'.$ip.'<||>'.$posled_time_pribivanij.'<||>'.$posled_time.'<||>'.$my_tema.'<||>'.$rezerv1.'<||>'.$rezerv2.'<||>'.$rezerv3.'<||>'.$rezerv4.'<||>'.$rezerv5.'<||>'.$rezerv6.'<||>'.$rezerv7.'<||>'.$rezerv8.'<||>'.$rezerv9.'<||>'.$rezerv10.'<||>'.$rezerv11.'<||>'.$rezerv12.'<||>'.$rezerv13.'<||>'.$rezerv14.'<||>'.$rezerv15.'<||>'.$rezerv16.'<||>'.$rezerv17.'<||>'.$rezerv18.'<||>'.$rezerv19.'<||>'.$rezerv20.'<||>';
               $file_login_data = fopen("../data/uzer/$login.dat", "w+");
               flock ($file_login_data,LOCK_EX);
               fputs($file_login_data,$kod);
               flock ($file_login_data,LOCK_UN);
               fclose($file_login_data);
               @chmod("$koren_dir/data/uzer/$login.dat", 0666);
               
               $arr = file("../data/uzer/$if_uzer.dat");
               $arr = explode("<||>",$arr[0]);
               ++$arr[3];
               $kod=''.$arr[0].'<||>'.$arr[1].'<||>'.$arr[2].'<||>'.$arr[3].'<||>'.$arr[4].'<||>'.$arr[5].'<||>'.$arr[6].'<||>'.$arr[7].'<||>'.$arr[8].'<||>'.$arr[9].'<||>'.$arr[10].'<||>'.$arr[11].'<||>'.$arr[12].'<||>'.$arr[13].'<||>'.$arr[14].'<||>'.$arr[15].'<||>'.$arr[16].'<||>'.$arr[17].'<||>'.$arr[18].'<||>'.$arr[19].'<||>'.$arr[20].'<||>'.$arr[21].'<||>'.$arr[22].'<||>'.$arr[23].'<||>'.$arr[24].'<||>'.$arr[25].'<||>'.$arr[26].'<||>'.$arr[27].'<||>'.$arr[28].'<||>'.$arr[29].'<||>'.$arr[30].'<||>'.$arr[31].'<||>'.$arr[32].'<||>'.$arr[33].'<||>'.$arr[34].'<||>'.$arr[35].'<||>'.$arr[36].'<||>'.$arr[37].'<||>';
               $file_login_data = fopen("../data/uzer/$if_uzer.dat", "w+");
               flock ($file_login_data,LOCK_EX);
               fputs($file_login_data,$kod);
               flock ($file_login_data,LOCK_UN);
               fclose($file_login_data);
               @chmod("$koren_dir/data/uzer/$if_uzer.dat", 0666);
               
               echo'Ваш голос учтён<br>';
            }
         }else{ echo'Нельзя голосовать за себя<br>'; }
      }else{ echo'Пользователя не существует.<br>'; }
   }
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
   
   if($act=="golos_protiv")
   {
      echo'<div class="razd"><B>Голос против</B></div>';
      if(isset($_GET['if_uzer'])){$if_uzer = $_GET['if_uzer'];}
      $if_uzer=htmlspecialchars($if_uzer);
      if(file_exists("../data/uzer/$if_uzer.dat"))
      {
         if($login != $if_uzer)
         {
            $time_p = htmlspecialchars(date("d"));//день плюса
            if($den_plusa == $time_p)
            {
               echo'Сегодня вы не можете голосовать<br>';
            }else{
               $den_plusa = $time_p;
               $kod=''.$pass_real.'<||>'.$status.'<||>'.$postov.'<||>'.$golos_za.'<||>'.$golos_protiv.'<||>'.$prichina_bana.'<||>'.$time_reg.'<||>'.$den_plusa.'<||>'.$real_name.'<||>'.$real_name2.'<||>'.$gorod.'<||>'.$a_baut.'<||>'.$vozrost.'<||>'.$pol.'<||>'.$ip.'<||>'.$posled_time_pribivanij.'<||>'.$posled_time.'<||>'.$my_tema.'<||>'.$rezerv1.'<||>'.$rezerv2.'<||>'.$rezerv3.'<||>'.$rezerv4.'<||>'.$rezerv5.'<||>'.$rezerv6.'<||>'.$rezerv7.'<||>'.$rezerv8.'<||>'.$rezerv9.'<||>'.$rezerv10.'<||>'.$rezerv11.'<||>'.$rezerv12.'<||>'.$rezerv13.'<||>'.$rezerv14.'<||>'.$rezerv15.'<||>'.$rezerv16.'<||>'.$rezerv17.'<||>'.$rezerv18.'<||>'.$rezerv19.'<||>'.$rezerv20.'<||>';
               $file_login_data = fopen("../data/uzer/$login.dat", "w+");
               flock ($file_login_data,LOCK_EX);
               fputs($file_login_data,$kod);
               flock ($file_login_data,LOCK_UN);
               fclose($file_login_data);
               @chmod("$koren_dir/data/uzer/$login.dat", 0666);
               
               $arr = file("../data/uzer/$if_uzer.dat");
               $arr = explode("<||>",$arr[0]);
               ++$arr[4];
               $kod=''.$arr[0].'<||>'.$arr[1].'<||>'.$arr[2].'<||>'.$arr[3].'<||>'.$arr[4].'<||>'.$arr[5].'<||>'.$arr[6].'<||>'.$arr[7].'<||>'.$arr[8].'<||>'.$arr[9].'<||>'.$arr[10].'<||>'.$arr[11].'<||>'.$arr[12].'<||>'.$arr[13].'<||>'.$arr[14].'<||>'.$arr[15].'<||>'.$arr[16].'<||>'.$arr[17].'<||>'.$arr[18].'<||>'.$arr[19].'<||>'.$arr[20].'<||>'.$arr[21].'<||>'.$arr[22].'<||>'.$arr[23].'<||>'.$arr[24].'<||>'.$arr[25].'<||>'.$arr[26].'<||>'.$arr[27].'<||>'.$arr[28].'<||>'.$arr[29].'<||>'.$arr[30].'<||>'.$arr[31].'<||>'.$arr[32].'<||>'.$arr[33].'<||>'.$arr[34].'<||>'.$arr[35].'<||>'.$arr[36].'<||>'.$arr[37].'<||>';
               $file_login_data = fopen("../data/uzer/$if_uzer.dat", "w+");
               flock ($file_login_data,LOCK_EX);
               fputs($file_login_data,$kod);
               flock ($file_login_data,LOCK_UN);
               fclose($file_login_data);
               @chmod("$koren_dir/data/uzer/$if_uzer.dat", 0666);
               
               echo'Ваш голос учтён<br>';
            }
         }else{ echo'Нельзя голосовать за себя<br>'; }
      }else{ echo'Пользователя не существует.<br>'; }
   }
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
   
   if($act=="ban")
   {
      echo'<div class="razd"><B>Бан</B></div>';
      if(isset($_POST['if_uzer'])){$if_uzer = $_POST['if_uzer'];}
      if(isset($_POST['txtsob'])){$txtsob = $_POST['txtsob'];}
      if(isset($_POST['time_ban'])){$time_ban = $_POST['time_ban'];}
      $if_uzer=htmlspecialchars($if_uzer);
      $txtsob=htmlspecialchars($txtsob);
      $time_ban=htmlspecialchars($time_ban);
      if($status=="moder" || $status=="admin")
      {
         if($arr = file("../data/uzer/$if_uzer.dat"))
         {
            $arr = explode("<||>",$arr[0]);
            if($arr[1] == "moder" || $arr[1] == "admin")
            {
               echo'Администрацию банить нельзя!<br>';
            }else{
               $arr[1] = "ban";
               $arr[5] = $txtsob;
               $arr[18] = time()+$time_ban;
               $kod=''.$arr[0].'<||>'.$arr[1].'<||>'.$arr[2].'<||>'.$arr[3].'<||>'.$arr[4].'<||>'.$arr[5].'<||>'.$arr[6].'<||>'.$arr[7].'<||>'.$arr[8].'<||>'.$arr[9].'<||>'.$arr[10].'<||>'.$arr[11].'<||>'.$arr[12].'<||>'.$arr[13].'<||>'.$arr[14].'<||>'.$arr[15].'<||>'.$arr[16].'<||>'.$arr[17].'<||>'.$arr[18].'<||>'.$arr[19].'<||>'.$arr[20].'<||>'.$arr[21].'<||>'.$arr[22].'<||>'.$arr[23].'<||>'.$arr[24].'<||>'.$arr[25].'<||>'.$arr[26].'<||>'.$arr[27].'<||>'.$arr[28].'<||>'.$arr[29].'<||>'.$arr[30].'<||>'.$arr[31].'<||>'.$arr[32].'<||>'.$arr[33].'<||>'.$arr[34].'<||>'.$arr[35].'<||>'.$arr[36].'<||>'.$arr[37].'<||>';
               $file_login_data = fopen("../data/uzer/$if_uzer.dat", "w+");
               flock ($file_login_data,LOCK_EX);
               fputs($file_login_data,$kod);
               flock ($file_login_data,LOCK_UN);
               fclose($file_login_data);
               @chmod("$koren_dir/data/uzer/$if_uzer.dat", 0666);
               echo'Пользователь заблокирован<br>';
            }
         }else{ echo'Пользователя не существует.<br>'; }
      }
      if($status=="uzer")
      {
          echo'У вас недостаточно прав<br>';
      }
      
   }
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
   
   if($act=="raz_ban")
   {
      echo'<div class="razd"><B>Раз бан</B></div>';
      if(isset($_GET['if_uzer'])){$if_uzer = $_GET['if_uzer'];}
      $if_uzer=htmlspecialchars($if_uzer);
      if($status=="moder" || $status=="admin")
      {
         if($arr = file("../data/uzer/$if_uzer.dat"))
         {
            $arr = explode("<||>",$arr[0]);
            if($arr[1] == "moder" || $arr[1] == "admin")
            {
               echo'Администрацию банить нельзя!<br>';
            }else{
               $arr[1] = "uzer";
               $kod=''.$arr[0].'<||>'.$arr[1].'<||>'.$arr[2].'<||>'.$arr[3].'<||>'.$arr[4].'<||>'.$arr[5].'<||>'.$arr[6].'<||>'.$arr[7].'<||>'.$arr[8].'<||>'.$arr[9].'<||>'.$arr[10].'<||>'.$arr[11].'<||>'.$arr[12].'<||>'.$arr[13].'<||>'.$arr[14].'<||>'.$arr[15].'<||>'.$arr[16].'<||>'.$arr[17].'<||>'.$arr[18].'<||>'.$arr[19].'<||>'.$arr[20].'<||>'.$arr[21].'<||>'.$arr[22].'<||>'.$arr[23].'<||>'.$arr[24].'<||>'.$arr[25].'<||>'.$arr[26].'<||>'.$arr[27].'<||>'.$arr[28].'<||>'.$arr[29].'<||>'.$arr[30].'<||>'.$arr[31].'<||>'.$arr[32].'<||>'.$arr[33].'<||>'.$arr[34].'<||>'.$arr[35].'<||>'.$arr[36].'<||>'.$arr[37].'<||>';
               $file_login_data = fopen("../data/uzer/$if_uzer.dat", "w+");
               flock ($file_login_data,LOCK_EX);
               fputs($file_login_data,$kod);
               flock ($file_login_data,LOCK_UN);
               fclose($file_login_data);
               @chmod("$koren_dir/data/uzer/$if_uzer.dat", 0666);
               
               echo'Пользователь разблокирован<br>';
            }
         }else{ echo'Пользователя не существует.<br>'; }
      }
      if($status=="uzer")
      {
          echo'У вас недостаточно прав<br>';
      }
      
   }
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
   
   if($act=="dell")
   {
      echo'<div class="razd"><B>Удаление пользователя</B></div>';
      if(isset($_GET['if_uzer'])){$if_uzer = $_GET['if_uzer'];}
      $if_uzer=htmlspecialchars($if_uzer);
      if($status=="admin")
      {
         if(file_exists("../data/uzer/$if_uzer.dat"))
         {
            
            echo'Вы уверены?<br>';
            echo'<a href="my_menu.php?act=dell2&amp;if_uzer='.$if_uzer.'&amp;'.SID.'">Да</a><br>';
         }else{ echo'Пользователя не существует.<br>'; }
      }
      if($status=="uzer")
      {
          echo'У вас недостаточно прав<br>';
      }
      
   }
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
   
   if($act=="dell2")
   {
      echo'<div class="razd"><B>Удаление пользователя</B></div>';
      if(isset($_GET['if_uzer'])){$if_uzer = $_GET['if_uzer'];}
      $if_uzer=htmlspecialchars($if_uzer);
      if($status=="admin")
      {
         if(file_exists("../data/uzer/$if_uzer.dat"))
         {
            @unlink("../data/uzer/$if_uzer.dat");
            @unlink("../data/privat/$if_uzer.dat");
            @unlink("../data/privat/out-$if_uzer.dat");
            @unlink("../data/privat/kontakt-$if_uzer.dat");
            @unlink("../data/privat/ignor-$if_uzer.dat");
            echo'Пользователь удален<br>';
         }else{ echo'Пользователя не существует.<br>'; }
      }
      if($status=="uzer")
      {
          echo'У вас недостаточно прав<br>';
      }
      
   }
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
   /*
   if($act=="izmenit_status")
   {
      echo'<div class="razd"><B>Изминение статуса</B></div>';
      if(isset($_POST['if_uzer'])){$if_uzer = $_POST['if_uzer'];}
      if(isset($_POST['sta'])){$sta = $_POST['sta'];}
      $if_uzer=htmlspecialchars($if_uzer);
      if($status=="admin")
      {
         if($arr = file("../data/uzer/$if_uzer.dat"))
         {
            $arr = explode("<||>",$arr[0]);
            if($sta == "uzer" || $sta == "moder" || $sta == "admin")
            {
               $arr[1] = $sta;
               $kod=''.$arr[0].'<||>'.$arr[1].'<||>'.$arr[2].'<||>'.$arr[3].'<||>'.$arr[4].'<||>'.$arr[5].'<||>'.$arr[6].'<||>'.$arr[7].'<||>'.$arr[8].'<||>'.$arr[9].'<||>'.$arr[10].'<||>'.$arr[11].'<||>'.$arr[12].'<||>'.$arr[13].'<||>'.$arr[14].'<||>'.$arr[15].'<||>'.$arr[16].'<||>'.$arr[17].'<||>'.$arr[18].'<||>'.$arr[19].'<||>'.$arr[20].'<||>'.$arr[21].'<||>'.$arr[22].'<||>'.$arr[23].'<||>'.$arr[24].'<||>'.$arr[25].'<||>'.$arr[26].'<||>'.$arr[27].'<||>'.$arr[28].'<||>'.$arr[29].'<||>'.$arr[30].'<||>'.$arr[31].'<||>'.$arr[32].'<||>'.$arr[33].'<||>'.$arr[34].'<||>'.$arr[35].'<||>'.$arr[36].'<||>'.$arr[37].'<||>';
               $file_login_data = fopen("../data/uzer/$if_uzer.dat", "w+");
               flock ($file_login_data,LOCK_EX);
               fputs($file_login_data,$kod);
               flock ($file_login_data,LOCK_UN);
               fclose($file_login_data);
               @chmod("$koren_dir/data/uzer/$if_uzer.dat", 0666);
               
               echo'Сохранено<br>';
            }else{
               
               echo'Параметры неверны<br>';
            }
         }else{ echo'Пользователя не существует.<br>'; }
      }
      if($status=="uzer")
      {
          echo'У вас недостаточно прав<br>';
      }
   }
   */
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
   
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
   if($act=="izmenit_teme")
   {
      echo'<div class="razd"><B>Выбор тем</B></div>';
      
      echo'<form name="forma" action="my_menu.php?'.SID.'" method="post">';
      echo'<INPUT TYPE="hidden" NAME="act" VALUE="izmenit_teme2">';
      echo'Выбирите тему<br>';
      echo'<SELECT NAME="new_my_tema">';
      $mem_teme = $my_tema;
      echo'<OPTION VALUE="'.$mem_teme.'" selected>'.$mem_teme.'';
      $dir = opendir ("../temes");
      while ( $file = readdir ($dir))
      {
         if(( $file != ".") && ($file != "..") && ($file != $mem_teme))
         {
            echo '<OPTION VALUE="'.$file.'">'.$file.'';
         }
      }
      closedir ($dir);
      echo'</SELECT><br>';
      echo'<input type="submit" name="" value="сохранить"><br>';
      echo'</form>';
      
   }
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
   
   if($act=="izmenit_teme2")
   {
      echo'<div class="razd"><B>Выбор тем</B></div>';
      if(isset($_POST['new_my_tema'])){$new_my_tema = $_POST['new_my_tema'];}
      
      $new_my_tema = htmlspecialchars($new_my_tema);
      $new_my_tema = str_replace(".","",$new_my_tema);
      $new_my_tema = str_replace("/","",$new_my_tema);
      
      
      if(file_exists("../temes/$new_my_tema"))
      {
         
         $my_tema = $new_my_tema;
         $kod=''.$pass_real.'<||>'.$status.'<||>'.$postov.'<||>'.$golos_za.'<||>'.$golos_protiv.'<||>'.$prichina_bana.'<||>'.$time_reg.'<||>'.$den_plusa.'<||>'.$real_name.'<||>'.$real_name2.'<||>'.$gorod.'<||>'.$a_baut.'<||>'.$vozrost.'<||>'.$pol.'<||>'.$ip.'<||>'.$posled_time_pribivanij.'<||>'.$posled_time.'<||>'.$my_tema.'<||>'.$rezerv1.'<||>'.$rezerv2.'<||>'.$rezerv3.'<||>'.$rezerv4.'<||>'.$rezerv5.'<||>'.$rezerv6.'<||>'.$rezerv7.'<||>'.$rezerv8.'<||>'.$rezerv9.'<||>'.$rezerv10.'<||>'.$rezerv11.'<||>'.$rezerv12.'<||>'.$rezerv13.'<||>'.$rezerv14.'<||>'.$rezerv15.'<||>'.$rezerv16.'<||>'.$rezerv17.'<||>'.$rezerv18.'<||>'.$rezerv19.'<||>'.$rezerv20.'<||>';
         $file_login_data = fopen("../data/uzer/$login.dat", "w+");
         flock ($file_login_data,LOCK_EX);
         fputs($file_login_data,$kod);
         flock ($file_login_data,LOCK_UN);
         fclose($file_login_data);
         @chmod("$koren_dir/data/uzer/$login.dat", 0666);
         
         echo'Сохранено!<br>';
         echo'<a href="my_menu.php?act=my&amp;'.SID.'">Далее</a>';
      }else
      {
         echo'Выбранной темы несуществует!<br>';
      }
   }
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
   if($act == "izm_cfg_uzer")
   {
      echo'<div class="razd"><B>Изменяем</B></div>';
      if(isset($_GET['if_uzer'])){$if_uzer = $_GET['if_uzer'];}
      $if_uzer=htmlspecialchars($if_uzer);
      if($status=="admin")
      {
         if(file_exists("../data/uzer/$if_uzer.dat"))
         {
            $file_uzer=file("../data/uzer/$if_uzer.dat");
            $file_uzer=explode("<||>",$file_uzer[0]);
            
            echo'<div class="ramk">Заполните форму для изменения параметров пользователя. Будьте внимательны при заполнении статуса, не ошибитесь!!!</div>';
            echo'<div class="ramk">';
            
            echo'Логин - <B>'.$if_uzer.'</B><br>';
            
            echo'<form name="forma" action="my_menu.php?'.SID.'" method="post">';
            echo'<INPUT TYPE="hidden" NAME="act" VALUE="izm_cfg_uzer2">';
            
            echo'<INPUT TYPE="hidden" NAME="if_uzer" VALUE="'.$if_uzer.'">';
            
            echo'Имя<br>';
            echo'<input type="text" name="new_real_name" value="'.$file_uzer[8].'" size="15" maxlength="50"><br>';
            
            echo'Фамилия<br>';
            echo'<input type="text" name="new_real_name2" value="'.$file_uzer[9].'" size="15" maxlength="50"><br>';
            
            echo'Город проживания<br>';
            echo'<input type="text" name="new_gorod" value="'.$file_uzer[10].'" size="15" maxlength="50"><br>';
            
            echo'Возраст<br>';
            echo'<input type="text" name="new_vozrost" value="'.$file_uzer[12].'" size="2" maxlength="2"><br>';
            
            echo'Пол<br>';
            echo'<SELECT NAME="new_pol">';
            if($file_uzer[13] == "m")
            {
               echo'<OPTION VALUE="m" selected>Мужской';
               echo'<OPTION VALUE="j">Женский';
            }elseif($file_uzer[13] == "j")
            {
               echo'<OPTION VALUE="j" selected>Женский';
               echo'<OPTION VALUE="m">Мужской';
            }else
            {
               echo'<OPTION VALUE="oof" selected>';
               echo'<OPTION VALUE="m">Мужской';
               echo'<OPTION VALUE="j">Женский';
            }
            echo'</SELECT><br>';
            
            echo'Исп.тема<br>';
            echo'<SELECT NAME="new_tema_uzer">';
            $mem_teme = $file_uzer[17];
            echo'<OPTION VALUE="'.$mem_teme.'" selected>'.$mem_teme.'';
            $dir = opendir ("../temes");
            while ( $file = readdir ($dir))
            {
               if(( $file != ".") && ($file != "..") && ($file != $mem_teme))
               {
                  echo '<OPTION VALUE="'.$file.'">'.$file.'';
               }
            }
            closedir ($dir);
            echo'</SELECT><br>';
            
            echo'О себе<br>';
            $file_uzer[11] = str_replace("<br>","\r\n",$file_uzer[11]);//обработали переносы строк
            echo'<TEXTAREA NAME="new_a_baut" ROWS=5 COLS=30>'.$file_uzer[11].'</TEXTAREA><br>';
            
            function ekr_uz_status($txt)
            {$txt = str_replace("admin","Администратор",$txt);
            $txt = str_replace("moder","Модератор",$txt);
            $txt = str_replace("uzer","Пользователь",$txt);
            $txt = str_replace("ban","Заблокирован",$txt);
            $txt = str_replace("no_aktiv","Не активирован",$txt);
            return $txt;}
            echo'Статус<br>';
            echo'<SELECT NAME="sta">';
            echo'<OPTION VALUE="'.$file_uzer[1].'" selected>'.ekr_uz_status($file_uzer[1]).'';
            if($file_uzer[1] != "uzer"){echo'<OPTION VALUE="uzer">'.ekr_uz_status('uzer').'';}
            if($file_uzer[1] != "moder"){echo'<OPTION VALUE="moder">'.ekr_uz_status('moder').'';}
            if($file_uzer[1] != "admin"){echo'<OPTION VALUE="admin">'.ekr_uz_status('admin').'';}
            echo'</SELECT><br>';
            
            echo'Постов<br>';
            echo'<input type="text" name="new_postov" value="'.$file_uzer[2].'" size="15" maxlength="50"><br>';
            
            echo'Голосов За<br>';
            echo'<input type="text" name="new_golos_za" value="'.$file_uzer[3].'" size="15" maxlength="50"><br>';
            
            echo'Голосов Против<br>';
            echo'<input type="text" name="new_golos_protiv" value="'.$file_uzer[4].'" size="15" maxlength="50"><br>';
            
            echo'Монет<br>';
            echo'<input type="text" name="new_monet" value="'.$file_uzer[37].'" size="15" maxlength="50"><br>';
            
            echo'Акций сайта<br>';
            echo'<input type="text" name="new_akcii" value="'.$file_uzer[36].'" size="15" maxlength="50"><br>';
            
            
            echo'<input type="submit" name="" value="сохранить"><br>';
            echo'</form>';
            
            
            
            
            echo'</div>';
            
            echo'<div class="link"><a href="my_menu.php?act=anket&amp;if_uzer='.$if_uzer.'&amp;'.SID.'">К накете</a></div>';
            
            
            
         }else{ echo'Пользователя не существует.<br>'; }
      }
      if($status=="uzer")
      {
          echo'У вас недостаточно прав<br>';
      }
      
   }
   
   if($act == "izm_cfg_uzer2")
   {
      echo'<div class="razd"><B>Изменяем</B></div>';
      if(isset($_GET['if_uzer'])){$if_uzer = $_GET['if_uzer'];}
      if(isset($_POST['if_uzer'])){$if_uzer = $_POST['if_uzer'];}
      $if_uzer=htmlspecialchars($if_uzer);
      if($status=="admin")
      {
         if(file_exists("../data/uzer/$if_uzer.dat"))
         {
            $file_uzer=file("../data/uzer/$if_uzer.dat");
            $file_uzer=explode("<||>",$file_uzer[0]);
            
            if(isset($_POST['new_real_name'])){$new_real_name = $_POST['new_real_name'];}
            if(isset($_POST['new_real_name2'])){$new_real_name2 = $_POST['new_real_name2'];}
            if(isset($_POST['new_gorod'])){$new_gorod = $_POST['new_gorod'];}
            if(isset($_POST['new_vozrost'])){$new_vozrost = $_POST['new_vozrost'];}
            if(isset($_POST['new_pol'])){$new_pol = $_POST['new_pol'];}
            if(isset($_POST['new_a_baut'])){$new_a_baut = $_POST['new_a_baut'];}
            
            if(isset($_POST['new_tema_uzer'])){$new_tema_uzer = $_POST['new_tema_uzer'];}
            if(isset($_POST['sta'])){$sta = $_POST['sta'];}
            if(isset($_POST['new_postov'])){$new_postov = $_POST['new_postov'];}
            if(isset($_POST['new_golos_za'])){$new_golos_za = $_POST['new_golos_za'];}
            if(isset($_POST['new_golos_protiv'])){$new_golos_protiv = $_POST['new_golos_protiv'];}
            
            if(isset($_POST['new_monet'])){$new_monet = $_POST['new_monet'];}
            if(isset($_POST['new_akcii'])){$new_akcii = $_POST['new_akcii'];}
            
            
            
            $new_real_name=htmlspecialchars($new_real_name);
            $new_real_name2=htmlspecialchars($new_real_name2);
            $new_gorod=htmlspecialchars($new_gorod);
            $new_vozrost=htmlspecialchars($new_vozrost);
            $new_pol=htmlspecialchars($new_pol);
            $new_a_baut=htmlspecialchars($new_a_baut);
            
            $new_tema_uzer=htmlspecialchars($new_tema_uzer);
            $sta=htmlspecialchars($sta);
            $new_postov=htmlspecialchars($new_postov);
            $new_golos_za=htmlspecialchars($new_golos_za);
            $new_golos_protiv=htmlspecialchars($new_golos_protiv);
            
            $new_monet=htmlspecialchars($new_monet);
            $new_akcii=htmlspecialchars($new_akcii);
            
            if (eregi("[^0-9]" , $new_vozrost )){ $new_vozrost = ''; }
            if($new_pol == "j" || $new_pol == "m"){  }else{ $new_pol = 'oof'; }
            if($sta == "uzer" || $sta == "moder" || $sta == "admin"){}else{ $sta = "uzer"; }
            
            $new_a_baut = str_replace("\r","",$new_a_baut);//обработали переносы строк
            $new_a_baut = str_replace("\n","<br>",$new_a_baut);//обработали переносы строк
            
            $kod=''.$file_uzer[0].'<||>'.$sta.'<||>'.$new_postov.'<||>'.$new_golos_za.'<||>'.$new_golos_protiv.'<||>'.$file_uzer[5].'<||>'.$file_uzer[6].'<||>'.$file_uzer[7].'<||>'.$new_real_name.'<||>'.$new_real_name2.'<||>'.$new_gorod.'<||>'.$new_a_baut.'<||>'.$new_vozrost.'<||>'.$new_pol.'<||>'.$file_uzer[14].'<||>'.$file_uzer[15].'<||>'.$file_uzer[16].'<||>'.$new_tema_uzer.'<||>'.$file_uzer[18].'<||>'.$file_uzer[19].'<||>'.$file_uzer[20].'<||>'.$file_uzer[21].'<||>'.$file_uzer[22].'<||>'.$file_uzer[23].'<||>'.$file_uzer[24].'<||>'.$file_uzer[25].'<||>'.$file_uzer[26].'<||>'.$file_uzer[27].'<||>'.$file_uzer[28].'<||>'.$file_uzer[29].'<||>'.$file_uzer[30].'<||>'.$file_uzer[31].'<||>'.$file_uzer[32].'<||>'.$file_uzer[33].'<||>'.$file_uzer[34].'<||>'.$file_uzer[35].'<||>'.$new_akcii.'<||>'.$new_monet.'<||>';
            $file_login_data = fopen("$koren_dir/data/uzer/$if_uzer.dat", "w+");
            flock ($file_login_data,LOCK_EX);
            fputs($file_login_data,$kod);
            flock ($file_login_data,LOCK_UN);
            fclose($file_login_data);
            @chmod("$koren_dir/data/uzer/$if_uzer.dat", 0666);
            
            echo'Сохранено<br>';
            echo'<div class="link"><a href="my_menu.php?act=anket&amp;if_uzer='.$if_uzer.'&amp;'.SID.'">Далее</a></div>';
            
            
            
         }else{ echo'Пользователя не существует.<br>'; }
      }
      if($status=="uzer")
      {
          echo'У вас недостаточно прав<br>';
      }
      
   }
   
   
   
   
   
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
   
   
   echo'<hr size="2" width="100%">';
   $referer=htmlspecialchars($_SERVER['HTTP_REFERER']);
   echo'<a href="'.$referer.'">Назад</a><br>';
   
}
if($status=="gost")
{
   echo'<div class="razd"><B>ОШИБКА</B></div>';
   echo'Вы не авторизированны<br>';
   echo'<a href="../pages/rega.php?'.SID.'">Регистрация</a><br>';
   echo'<a href="../pages/avtoriza.php?'.SID.'">Вход</a><br>';
}
if($status=="ban" )
{
   echo'<div class="razd"><B>ОШИБКА</B></div>';
   echo'Вам сюда нельзя<br>';
}


echo'<a href="../index.php?'.SID.'">Главная</a><br>';
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>